## selinux-python 2.7

=== Makefile ===
# Installation directories.
PREFIX ?= ${DESTDIR}/usr
BINDIR ?= $(PREFIX)/bin
SHAREDIR ?= $(PREFIX)/share/system-config-selinux
DATADIR ?= $(PREFIX)/share
MANDIR ?= $(PREFIX)/share/man

TARGETS= \
booleansPage.py \
domainsPage.py \
fcontextPage.py \
html_util.py \
loginsPage.py \
mappingsPage.py \
modulesPage.py \
polgen.glade \
portsPage.py \
semanagePage.py \
statusPage.py \
system-config-selinux.glade \
system-config-selinux.png \
usersPage.py

all: $(TARGETS) system-config-selinux.py polgengui.py

install: all
	-mkdir -p $(MANDIR)/man8
	-mkdir -p $(SHAREDIR)
	-mkdir -p $(BINDIR)
	-mkdir -p $(DATADIR)/pixmaps
	-mkdir -p $(DATADIR)/icons/hicolor/24x24/apps
	-mkdir -p $(DATADIR)/polkit-1/actions/
	install -m 755 system-config-selinux.py $(SHAREDIR)
	install -m 755 system-config-selinux $(BINDIR)
	install -m 755 polgengui.py $(SHAREDIR)
	install -m 644 $(TARGETS) $(SHAREDIR)
	install -m 644 system-config-selinux.8 $(MANDIR)/man8
	install -m 644 selinux-polgengui.8 $(MANDIR)/man8
	install -m 644 system-config-selinux.png $(DATADIR)/pixmaps
	install -m 644 system-config-selinux.png $(DATADIR)/icons/hicolor/24x24/apps
	install -m 644 system-config-selinux.png $(DATADIR)/system-config-selinux
	install -m 644 *.desktop $(DATADIR)/system-config-selinux
	-mkdir -p $(DESTDIR) $(DATADIR)/pixmaps
	install -m 644 sepolicy_256.png $(DATADIR)/pixmaps/sepolicy.png
	for i in 16 22 32 48 256; do \
		mkdir -p $(DESTDIR) $(DATADIR)/icons/hicolor/$${i}x$${i}/apps; \
		install -m 644 sepolicy_$${i}.png $(DATADIR)/icons/hicolor/$${i}x$${i}/apps/sepolicy.png; \
	done
	install -m 644 org.selinux.config.policy $(DATADIR)/polkit-1/actions/
clean:

indent:

relabel:

test:

=== audit2allow/Makefile ===
PYTHON ?= python

# Installation directories.
PREFIX ?= $(DESTDIR)/usr
BINDIR ?= $(PREFIX)/bin
LIBDIR ?= $(PREFIX)/lib
MANDIR ?= $(PREFIX)/share/man
LOCALEDIR ?= /usr/share/locale
INCLUDEDIR ?= $(PREFIX)/include
LIBSEPOLA ?= $(LIBDIR)/libsepol.a

CFLAGS ?= -Werror -Wall -W

all: audit2why sepolgen-ifgen-attr-helper

sepolgen-ifgen-attr-helper: sepolgen-ifgen-attr-helper.o $(LIBSEPOLA)

audit2why:
	ln -sf audit2allow audit2why

test: all
	@$(PYTHON) test_audit2allow.py -v

install: all
	-mkdir -p $(BINDIR)
	install -m 755 audit2allow $(BINDIR)
	(cd $(BINDIR); ln -sf audit2allow audit2why)
	install -m 755 sepolgen-ifgen-attr-helper $(BINDIR)
	install -m 755 sepolgen-ifgen $(BINDIR)
	-mkdir -p $(MANDIR)/man1
	install -m 644 audit2allow.1 $(MANDIR)/man1/
	install -m 644 audit2why.1 $(MANDIR)/man1/

clean:
	rm -f *~ *.o sepolgen-ifgen-attr-helper

indent:
	../../scripts/Lindent $(wildcard *.[ch])

relabel: ;

=== chcat/Makefile ===
# Installation directories.
PREFIX ?= $(DESTDIR)/usr
BINDIR ?= $(PREFIX)/bin
MANDIR ?= $(PREFIX)/share/man
LOCALEDIR ?= $(PREFIX)/share/locale

.PHONY: all
all: chcat

install: all
	-mkdir -p $(BINDIR)
	install -m 755 chcat $(BINDIR)
	-mkdir -p $(MANDIR)/man8
	install -m 644 chcat.8 $(MANDIR)/man8/

clean:

indent:

relabel:

=== semanage/Makefile ===
PYTHON ?= python

# Installation directories.
PREFIX ?= $(DESTDIR)/usr
LIBDIR ?= $(PREFIX)/lib
SBINDIR ?= $(PREFIX)/sbin
MANDIR = $(PREFIX)/share/man
PYTHONLIBDIR ?= $(shell $(PYTHON) -c "from distutils.sysconfig import *; print(get_python_lib(1))")
PACKAGEDIR ?= $(DESTDIR)/$(PYTHONLIBDIR)
BASHCOMPLETIONDIR ?= $(DESTDIR)/usr/share/bash-completion/completions

TARGETS=semanage

BASHCOMPLETIONS=semanage-bash-completion.sh 

all: $(TARGETS)

install: all
	[ -d $(MANDIR)/man8 ] || mkdir -p $(MANDIR)/man8
	-mkdir -p $(SBINDIR)
	install -m 755 semanage $(SBINDIR)
	install -m 644 *.8 $(MANDIR)/man8
	test -d $(PACKAGEDIR) || install -m 755 -d $(PACKAGEDIR)
	install -m 755 seobject.py $(PACKAGEDIR)
	-mkdir -p $(BASHCOMPLETIONDIR)
	install -m 644 $(BASHCOMPLETIONS) $(BASHCOMPLETIONDIR)/semanage

test:
	@$(PYTHON) test-semanage.py -a
clean:

indent:

relabel:

=== sepolicy/Makefile ===
PYTHON ?= python

# Installation directories.
PREFIX ?= $(DESTDIR)/usr
LIBDIR ?= $(PREFIX)/lib
BINDIR ?= $(PREFIX)/bin
DATADIR ?= $(PREFIX)/share
MANDIR ?= $(PREFIX)/share/man
LOCALEDIR ?= /usr/share/locale
BASHCOMPLETIONDIR ?= $(DESTDIR)/usr/share/bash-completion/completions
SHAREDIR ?= $(PREFIX)/share/sandbox
CFLAGS ?= -Wall -Werror -Wextra -W
override CFLAGS += -DPACKAGE="policycoreutils" -DSHARED -shared

BASHCOMPLETIONS=sepolicy-bash-completion.sh

all: python-build

python-build:
	$(PYTHON) setup.py build

clean:
	$(PYTHON) setup.py clean
	-rm -rf build *~ \#* *pyc .#*

sepolgen:
	ln -sf sepolicy sepolgen

test:
	@$(PYTHON) test_sepolicy.py -v

install:
	$(PYTHON) setup.py install `test -n "$(DESTDIR)" && echo --root $(DESTDIR)`
	[ -d $(BINDIR) ] || mkdir -p $(BINDIR)
	install -m 755 sepolicy.py $(BINDIR)/sepolicy
	(cd $(BINDIR); ln -sf sepolicy sepolgen)
	-mkdir -p $(MANDIR)/man8
	install -m 644 *.8 $(MANDIR)/man8
	-mkdir -p $(BASHCOMPLETIONDIR)
	install -m 644 $(BASHCOMPLETIONS) $(BASHCOMPLETIONDIR)/sepolicy

relabel:

=== sepolgen/tests/Makefile ===
PYTHON ?= python

clean:
	rm -f *~ *.pyc
	rm -f parser.out parsetab.py
	rm -f out.txt
	rm -f module_compile_test.fc
	rm -f module_compile_test.if
	rm -f module_compile_test.pp
	rm -f output
	rm -rf __pycache__ tmp

test:
	$(PYTHON) run-tests.py

=== sepolgen/src/sepolgen/Makefile ===
PYTHON ?= python
PYTHONLIBDIR ?= $(shell $(PYTHON) -c "from distutils.sysconfig import *; print(get_python_lib(1))")
PACKAGEDIR ?= $(DESTDIR)/$(PYTHONLIBDIR)/sepolgen

all:

install: all
	-mkdir -p $(PACKAGEDIR)
	install -m 644 *.py $(PACKAGEDIR)

clean:
	rm -f parser.out parsetab.py
	rm -f *~ *.pyc
	rm -rf __pycache__

=== debian/changelog ===
selinux-python (2.7-2) unstable; urgency=medium

  * debian/control: Bump {build-}dependencies to match the new release
  * debian/rules:
    - Drop LSPP_PRIV export, this was needed for the newrole exec
    - Drop unused/commented exports
    - Do not append CPPFLAGS to CFLAGS, the build system is honoring the
      CPPFLAGS after all
  * Revive and refresh debian/patches/0023-sepolicy-help-path.patch
  * debian/copyright: Update the copyright file
  * Bump Standards-Version to 4.1.0 (no further changes)
  * Bump debhelper compatibility to 10

 -- Laurent Bigonville <bigon@debian.org>  Sun, 10 Sep 2017 10:20:34 +0200

selinux-python (2.7-1) experimental; urgency=medium

  * New upstream release
    - Drop all the patches, they are either merged upstream or not releavant
      anymore since policycoreutils has been split in smaller components
    - Drop all references to the packages that are not anymore built by this
      source packages, this package builds the python, sandbox and gui related
      packages. python3-sepolgen is now part of this source package.
    - debian/control: Bump {build-}dependencies to match the new release
  * debian/watch: Add support for rc releases and use macros
  * debian/patches/python3-shebang.patch: Invoke segenxml.py with python3
  * debian/control: Bump Standards-Version to 4.0.0 (no further changes)
  * debian/control: Remove Manoj from the uploader list and add myself
    instead. Thanks to him for all the work in the past.
  * debian/control: Make policycoreutils-python-utils arch:all

 -- Laurent Bigonville <bigon@debian.org>  Mon, 21 Aug 2017 06:13:49 +0200

policycoreutils (2.6-3) unstable; urgency=medium

  * Team upload.
  * d/p/Handle-python-error-returns-correctly.patch: Fix a bug that was
    preventing to override file contexts already defined in the policy

 -- Laurent Bigonville <bigon@debian.org>  Tue, 10 Jan 2017 00:56:57 +0100

policycoreutils (2.6-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Laurent Bigonville <bigon@debian.org>  Mon, 28 Nov 2016 13:19:15 +0100

policycoreutils (2.6-1) experimental; urgency=medium

  * Team upload.
  * New upstream release
    - Drop d/p/Dont_use_subprocess_getstatusoutput_in_Python_2_code.patch,
      d/p/sandbox-dbus-run-session.patch, d/p/CVE-2016-7545.patch,
      d/p/sandbox-gobject-gtk.patch, applied upstream
    - Refreshed the other patches
    - debian/control: Bump {build-}dependencies to match the new release
    - debian/control: Drop libapol-dev and libqpol-dev build-dependencies
    - debian/python-sepolicy.install: Drop .so file, this is now a pure python
      module.
    - Install new restorecon_xattr executable and manpage
  * debian/control: Drop libcgroup-dev build-dependency, no longer used
  * debian/gbp.conf: Rename git-buildpackage section to buildpackage
  * Switch to python3, disable system-config-selinux for now as it doesn't
    support that version.
  * d/p/policycoreutils-Use-new-sepolicy-icon-in-.desktop-fi.patch: Use new
    icon for sepolicy (From upstream)
  * d/p/Sandbox-Use-next-over-the-sepolicy.info-result.patch,
    d/p/policycoreutils-Make-sepolicy-work-with-python3.patch,
    d/p/policycoreutils-Use-GObject-introspection-binding-in.patch Add some
    fixes for python3 (From upstream)
  * debian/control: Add lsb-base dependency to please lintian

 -- Laurent Bigonville <bigon@debian.org>  Wed, 23 Nov 2016 01:15:04 +0100

policycoreutils (2.5-3) unstable; urgency=medium

  * Team upload.
  * d/p/Dont_use_subprocess_getstatusoutput_in_Python_2_code.patch: Make the
    python code of chcat and sandbox compatible with both python2 and python3
  * debian/NEWS, debian/control: Fix a typo
  * Merge Fedora changes to the selinux-autorelabel systemd scripts and units.
    We now use a selinux-autorelabel.target and a generator that override the
    default.target in case we need to relabel the filesystems.
  * debian/patches/sandbox-dbus-run-session.patch: Use dbus-run-session
    instead of dbus-launch when available (Closes: #836289)
  * debian/patches/CVE-2016-7545.patch: create a new session for sandboxed
    processes (Closes: #838599 CVE-2016-7545)
  * debian/patches/sandbox-gobject-gtk.patch: Use GTK+ GObject introspection
    bindings instead of old pygtk2 ones
  * debian/patches/sandbox-x-window-manager.patch: Use system default window
    manager instead of openbox

 -- Laurent Bigonville <bigon@debian.org>  Tue, 27 Sep 2016 22:30:28 +0200

policycoreutils (2.5-2) unstable; urgency=medium

  * Team upload.
  * Remove the 'debian-' prefix from the selinux-autorelabel LSB script and
    systemd services, not sure why I added it in the first place…

 -- Laurent Bigonville <bigon@debian.org>  Fri, 13 May 2016 22:49:27 +0200

policycoreutils (2.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Drop d/p/0001-legacy.patch, d/p/0016-open-init-pty: new open_init_pty
      has been merged upstream
    - debian/patches/0023-sepolicy-help-path.patch: Refreshed
    - debian/control: Bump {build-}dependencies to match the new release
    - Fix newrole to not drop capabilities from the bounding set. (Closes:
      #813604)
    - Fix crash when python-audit is not installed (Closes: #734806)
  * debian/control: Bump Standards-Version to 3.9.8 (no further changes)
  * debian/control: Update the Vcs-* URL's to please lintian (again)
  * debian/NEWS: Remove duplicate word, thanks to lintian

 -- Laurent Bigonville <bigon@debian.org>  Tue, 26 Apr 2016 14:54:13 +0200

policycoreutils (2.4-4) unstable; urgency=medium

  * Team upload.
  * Drop d/p/0009-find-does-not-have-a-context-switch.patch, findutils now
    supports the -context switch, also be sure we have the correct version
    installed.
  * Create the /usr/sbin/load_policy symlink in the postinst script to support
    the everything-in-usr directories scheme. (Closes: #767930)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 24 Jan 2016 12:12:53 +0100



=== debian/control ===
Source: selinux-python
VCS-Git: https://anonscm.debian.org/git/selinux/selinux-python.git
VCS-Browser: https://anonscm.debian.org/gitweb/?p=selinux/selinux-python.git;a=summary
Priority: optional
Section: utils
Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
Uploaders: Laurent Bigonville <bigon@debian.org>,
           Russell Coker <russell@coker.com.au>
Standards-Version: 4.1.0
Build-Depends: debhelper (>= 10),
               dh-python,
               libcap-ng-dev,
               libselinux1-dev (>= 2.7),
               libsepol1-dev (>= 2.7),
               python3-dev (>= 3.2),
X-Python3-Version: >= 3.2
Homepage: http://userspace.selinuxproject.org/

Package: policycoreutils-python-utils
Architecture: all
Depends: policycoreutils (>= 2.7),
         python3-audit,
         python3-ipy,
         python3-selinux (>= 2.7),
         python3-semanage (>= 2.7),
         python3-sepolgen (= ${source:Version}),
         python3-sepolicy (= ${source:Version}),
         selinux-utils,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Breaks: policycoreutils (<< 2.4)
Replaces: policycoreutils (<< 2.4)
Pre-Depends: ${misc:Pre-Depends}
Description: SELinux core policy utilities (Python utilities)
 Security-enhanced Linux is a patch of the Linux® kernel and a number
 of utilities with enhanced security functionality designed to add
 mandatory access controls to Linux.  The Security-enhanced Linux
 kernel contains new architectural components originally developed to
 improve the security of the Flask operating system. These
 architectural components provide general support for the enforcement
 of many kinds of mandatory access control policies, including those
 based on the concepts of Type Enforcement®, Role-based Access Control,
 and Multi-level Security.
 .
 This package contains the policycoreutils written in Python like semanage,
 audit2why, audit2allow or chcat.

Package: python3-sepolicy
Architecture: all
Depends: python3-selinux (>= 2.7),
         python3-sepolgen (= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Section: python
Description: Python binding for SELinux Policy Analyses
 This package contains a Python binding for SELinux Policy Analyses.

Package: policycoreutils-gui
Architecture: all
Priority: extra
Depends: gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         policycoreutils (>= 2.7),
         policycoreutils-dbus (>= 2.7),
         policycoreutils-dev (>= 2.7),
         policykit-1,
         python3-dbus,
         python3-gi,
#         python-glade2,
#         python-gnome2,
#         python-gobject-2,
#         python-gtk2,
         python3-selinux (>= 2.7),
         python3-sepolicy (= ${source:Version}),
         python3-slip-dbus,
         ${misc:Depends},
         ${python3:Depends}
Description: SELinux core policy utilities (graphical utilities)
 Security-enhanced Linux is a patch of the Linux® kernel and a number
 of utilities with enhanced security functionality designed to add
 mandatory access controls to Linux.  The Security-enhanced Linux
 kernel contains new architectural components originally developed to
 improve the security of the Flask operating system. These
 architectural components provide general support for the enforcement
 of many kinds of mandatory access control policies, including those
 based on the concepts of Type Enforcement®, Role-based Access Control,
 and Multi-level Security.
 .
 This package contains the system-config-selinux and the selinux-polgengui
 utilities.

Package: policycoreutils-dev
Architecture: linux-any
Section: devel
Depends: policycoreutils (>= 2.7),
         python3-selinux (>= 2.7),
         python3-sepolgen (= ${source:Version}),
         python3-sepolicy (= ${source:Version}),
         semodule-utils (>= 2.7),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Breaks: policycoreutils (<< 2.4)
Replaces: policycoreutils (<< 2.4)
Description: SELinux core policy utilities (development utilities)
 Security-enhanced Linux is a patch of the Linux® kernel and a number
 of utilities with enhanced security functionality designed to add
 mandatory access controls to Linux.  The Security-enhanced Linux
 kernel contains new architectural components originally developed to
 improve the security of the Flask operating system. These
 architectural components provide general support for the enforcement
 of many kinds of mandatory access control policies, including those
 based on the concepts of Type Enforcement®, Role-based Access Control,
 and Multi-level Security.
 .
 This package contains the management tools used to develop policy in an
 SELinux environment.

Package: policycoreutils-sandbox
Architecture: linux-any
Priority: extra
Depends: dbus (>= 1.8),
         gir1.2-gtk-3.0,
         libcap2-bin,
         policycoreutils,
         python3,
         python3-gi,
         x11-xserver-utils,
         xserver-xephyr,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: openbox | x-window-manager
Description: SELinux core policy utilities (graphical sandboxes)
 Security-enhanced Linux is a patch of the Linux® kernel and a number
 of utilities with enhanced security functionality designed to add
 mandatory access controls to Linux.  The Security-enhanced Linux
 kernel contains new architectural components originally developed to
 improve the security of the Flask operating system. These
 architectural components provide general support for the enforcement
 of many kinds of mandatory access control policies, including those
 based on the concepts of Type Enforcement®, Role-based Access Control,
 and Multi-level Security.
 .
 This package contains the scripts to create graphical sandboxes.
 .
 This package requires an additional custom policy that is not present in
 Debian.

Package: python3-sepolgen
Architecture: all
Depends: checkpolicy (>= 2.7),
         make,
         python3-selinux (>= 2.7),
         python3-setools (>= 4.1.1),
         semodule-utils (>= 2.7),
         ${misc:Depends},
         ${python3:Depends}
Recommends: selinux-policy-dev
Breaks: python-sepolgen (<< 2.6)
Replaces: python-sepolgen (<< 2.6)
Section: python
Description: Python3 module used in SELinux policy generation
 This package contains a Python3 module that forms the core of the modern
 audit2allow (which is a part of the package policycoreutils).
 .
 The sepolgen library is structured to give flexibility to the application
 using it. The library contains: Reference Policy Representation,
 which are Objects for representing policies and the reference policy
 interfaces. Secondly, it has objects and algorithms for representing
 access and sets of access in an abstract way and searching that
 access. It also has a parser for reference policy "headers". It
 contains infrastructure for parsing SELinux related messages as
 produced by the audit system. It has facilities for generating policy
 based on required access.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
#  # Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export PYTHON=python3
export LIBSEPOLA=/usr/lib/${DEB_HOST_MULTIARCH}/libsepol.a

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python3

override_dh_auto_build:
	dh_auto_build
	dh_auto_build -Dgui
	dh_auto_build -Dsandbox

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
	dh_auto_install -Dgui --destdir=debian/tmp
	dh_auto_install -Dsandbox --destdir=debian/tmp

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean -Dgui
	dh_auto_clean -Dsandbox

override_dh_install:
	dh_install --list-missing

## selinux-python 2.8

=== Makefile ===
# Installation directories.
PREFIX ?= /usr
BINDIR ?= $(PREFIX)/bin
SHAREDIR ?= $(PREFIX)/share/system-config-selinux
DATADIR ?= $(PREFIX)/share
MANDIR ?= $(PREFIX)/share/man

TARGETS= \
booleansPage.py \
domainsPage.py \
fcontextPage.py \
html_util.py \
loginsPage.py \
modulesPage.py \
polgen.ui \
portsPage.py \
semanagePage.py \
statusPage.py \
system-config-selinux.png \
system-config-selinux.ui \
usersPage.py

all: $(TARGETS) system-config-selinux.py polgengui.py

install: all
	-mkdir -p $(DESTDIR)$(MANDIR)/man8
	-mkdir -p $(DESTDIR)$(SHAREDIR)
	-mkdir -p $(DESTDIR)$(BINDIR)
	-mkdir -p $(DESTDIR)$(DATADIR)/pixmaps
	-mkdir -p $(DESTDIR)$(DATADIR)/icons/hicolor/24x24/apps
	-mkdir -p $(DESTDIR)$(DATADIR)/polkit-1/actions/
	install -m 755 system-config-selinux.py $(DESTDIR)$(SHAREDIR)
	install -m 755 system-config-selinux $(DESTDIR)$(BINDIR)
	install -m 755 polgengui.py $(DESTDIR)$(SHAREDIR)
	install -m 644 $(TARGETS) $(DESTDIR)$(SHAREDIR)
	install -m 644 system-config-selinux.8 $(DESTDIR)$(MANDIR)/man8
	install -m 644 selinux-polgengui.8 $(DESTDIR)$(MANDIR)/man8
	install -m 644 system-config-selinux.png $(DESTDIR)$(DATADIR)/pixmaps
	install -m 644 system-config-selinux.png $(DESTDIR)$(DATADIR)/icons/hicolor/24x24/apps
	install -m 644 system-config-selinux.png $(DESTDIR)$(DATADIR)/system-config-selinux
	install -m 644 *.desktop $(DESTDIR)$(DATADIR)/system-config-selinux
	-mkdir -p $(DESTDIR)$(DATADIR)/pixmaps
	install -m 644 sepolicy_256.png $(DESTDIR)$(DATADIR)/pixmaps/sepolicy.png
	for i in 16 22 32 48 256; do \
		mkdir -p $(DESTDIR)$(DATADIR)/icons/hicolor/$${i}x$${i}/apps; \
		install -m 644 sepolicy_$${i}.png $(DESTDIR)$(DATADIR)/icons/hicolor/$${i}x$${i}/apps/sepolicy.png; \
	done
	install -m 644 org.selinux.config.policy $(DESTDIR)$(DATADIR)/polkit-1/actions/
clean:

indent:

relabel:

test:

=== audit2allow/Makefile ===
PYTHON ?= python

# Installation directories.
PREFIX ?= /usr
BINDIR ?= $(PREFIX)/bin
MANDIR ?= $(PREFIX)/share/man

CFLAGS ?= -Werror -Wall -W

# If no specific libsepol.a is specified, fall back on LDFLAGS search path
# Otherwise, as $(LIBSEPOLA) already appears in the dependencies, there
# is no need to define a value for LDLIBS_LIBSEPOLA
ifeq ($(LIBSEPOLA),)
        LDLIBS_LIBSEPOLA := -l:libsepol.a
endif

all: audit2why sepolgen-ifgen-attr-helper

sepolgen-ifgen-attr-helper: sepolgen-ifgen-attr-helper.o $(LIBSEPOLA)
	$(CC) $(LDFLAGS) -o $@ $^ $(LDLIBS_LIBSEPOLA)

audit2why:
	ln -sf audit2allow audit2why

test: all
	@$(PYTHON) test_audit2allow.py -v

install: all
	-mkdir -p $(DESTDIR)$(BINDIR)
	install -m 755 audit2allow $(DESTDIR)$(BINDIR)
	(cd $(DESTDIR)$(BINDIR); ln -sf audit2allow audit2why)
	install -m 755 sepolgen-ifgen-attr-helper $(DESTDIR)$(BINDIR)
	install -m 755 sepolgen-ifgen $(DESTDIR)$(BINDIR)
	-mkdir -p $(DESTDIR)$(MANDIR)/man1
	install -m 644 audit2allow.1 $(DESTDIR)$(MANDIR)/man1/
	install -m 644 audit2why.1 $(DESTDIR)$(MANDIR)/man1/

clean:
	rm -f *~ *.o sepolgen-ifgen-attr-helper

indent:
	../../scripts/Lindent $(wildcard *.[ch])

relabel: ;

=== chcat/Makefile ===
# Installation directories.
PREFIX ?= /usr
BINDIR ?= $(PREFIX)/bin
MANDIR ?= $(PREFIX)/share/man

.PHONY: all
all: chcat

install: all
	-mkdir -p $(DESTDIR)$(BINDIR)
	install -m 755 chcat $(DESTDIR)$(BINDIR)
	-mkdir -p $(DESTDIR)$(MANDIR)/man8
	install -m 644 chcat.8 $(DESTDIR)$(MANDIR)/man8/

clean:

indent:

relabel:

=== semanage/Makefile ===
PYTHON ?= python

# Installation directories.
PREFIX ?= /usr
SBINDIR ?= $(PREFIX)/sbin
MANDIR = $(PREFIX)/share/man
PYTHONLIBDIR ?= $(shell $(PYTHON) -c "from distutils.sysconfig import *; print(get_python_lib(prefix='$(PREFIX)'))")
PACKAGEDIR ?= $(PYTHONLIBDIR)
BASHCOMPLETIONDIR ?= $(PREFIX)/share/bash-completion/completions

TARGETS=semanage

BASHCOMPLETIONS=semanage-bash-completion.sh 

all: $(TARGETS)

install: all
	[ -d $(DESTDIR)$(MANDIR)/man8 ] || mkdir -p $(DESTDIR)$(MANDIR)/man8
	-mkdir -p $(DESTDIR)$(SBINDIR)
	install -m 755 semanage $(DESTDIR)$(SBINDIR)
	install -m 644 *.8 $(DESTDIR)$(MANDIR)/man8
	test -d $(DESTDIR)/$(PACKAGEDIR) || install -m 755 -d $(DESTDIR)/$(PACKAGEDIR)
	install -m 755 seobject.py $(DESTDIR)/$(PACKAGEDIR)
	-mkdir -p $(DESTDIR)$(BASHCOMPLETIONDIR)
	install -m 644 $(BASHCOMPLETIONS) $(DESTDIR)$(BASHCOMPLETIONDIR)/semanage

test:
	@$(PYTHON) test-semanage.py -a
clean:

indent:

relabel:

=== sepolicy/Makefile ===
PYTHON ?= python

# Installation directories.
PREFIX ?= /usr
BINDIR ?= $(PREFIX)/bin
MANDIR ?= $(PREFIX)/share/man
BASHCOMPLETIONDIR ?= $(PREFIX)/share/bash-completion/completions
CFLAGS ?= -Wall -Werror -Wextra -W
override CFLAGS += -DPACKAGE="policycoreutils" -DSHARED -shared

BASHCOMPLETIONS=sepolicy-bash-completion.sh

all: python-build

python-build:
	$(PYTHON) setup.py build

clean:
	$(PYTHON) setup.py clean
	-rm -rf build *~ \#* *pyc .#*

sepolgen:
	ln -sf sepolicy sepolgen

test:
	@$(PYTHON) test_sepolicy.py -v

install:
	$(PYTHON) setup.py install --prefix=$(PREFIX) `test -n "$(DESTDIR)" && echo --root $(DESTDIR)`
	[ -d $(DESTDIR)$(BINDIR) ] || mkdir -p $(DESTDIR)$(BINDIR)
	install -m 755 sepolicy.py $(DESTDIR)$(BINDIR)/sepolicy
	(cd $(DESTDIR)$(BINDIR); ln -sf sepolicy sepolgen)
	-mkdir -p $(DESTDIR)$(MANDIR)/man8
	install -m 644 *.8 $(DESTDIR)$(MANDIR)/man8
	-mkdir -p $(DESTDIR)$(BASHCOMPLETIONDIR)
	install -m 644 $(BASHCOMPLETIONS) $(DESTDIR)$(BASHCOMPLETIONDIR)/sepolicy

relabel:

=== sepolgen/src/sepolgen/Makefile ===
PREFIX ?= /usr
PYTHON ?= python
PYTHONLIBDIR ?= $(shell $(PYTHON) -c "from distutils.sysconfig import *; print(get_python_lib(prefix='$(PREFIX)'))")
PACKAGEDIR ?= /$(PYTHONLIBDIR)/sepolgen

all:

install: all
	-mkdir -p $(DESTDIR)$(PACKAGEDIR)
	install -m 644 *.py $(DESTDIR)$(PACKAGEDIR)

clean:
	rm -f parser.out parsetab.py
	rm -f *~ *.pyc
	rm -rf __pycache__

=== debian/changelog ===
selinux-python (2.8-3) unstable; urgency=medium

  * Move binutils dependency from python3-sepolgen to policycoreutils-dev as
    it was supposed to be, oups
  * debian/patches/setools-4.2.0.patch: Update python3-sepolicy so it works
    with setools 4.2.0

 -- Laurent Bigonville <bigon@debian.org>  Mon, 03 Dec 2018 10:11:24 +0100

selinux-python (2.8-2) unstable; urgency=medium

  * Make the policycoreutils-dev package depends against binutils, the nm tool
    is called internally (Closes: #899173)
  * debian/control: Bump Standards-Version to 4.2.1 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 06 Oct 2018 10:01:00 +0200

selinux-python (2.8-1) unstable; urgency=medium

  * New upstream release
    - debian/control: Bump {build-}dependencies to match the new release
  * debian/control: Point Vcs-* fields to new (salsa) machine
  * Drop debian/patches/0022-sepolicy-path.patch, the upstream build system
    seems to do the right thing now
  * debian/control: Bump Standards-Version to 4.1.4 (no further changes)
  * debian/control: Remove X-Python(3)-Version fields as the required version
    is already in oldstable, to please lintian
  * debian/control: Bump the priority of the policycoreutils-sandbox and
    policycoreutils-gui packages to optional, priority extra is deprecated
  * debian/rules: Use dh_missing --fail-missing instead of dh_install
  * debian/rules: Adjust to match upstream changes to the build system
  * Add Built-Using field to policycoreutils-dev package as it statically
    links against libsepol

 -- Laurent Bigonville <bigon@debian.org>  Wed, 30 May 2018 16:07:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,27 @@
 Source: selinux-python
-VCS-Git: https://anonscm.debian.org/git/selinux/selinux-python.git
-VCS-Browser: https://anonscm.debian.org/gitweb/?p=selinux/selinux-python.git;a=summary
+VCS-Git: https://salsa.debian.org/selinux-team/selinux-python.git
+VCS-Browser: https://salsa.debian.org/selinux-team/selinux-python
 Priority: optional
 Section: utils
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>,
            Russell Coker <russell@coker.com.au>
-Standards-Version: 4.1.0
+Standards-Version: 4.2.1
 Build-Depends: debhelper (>= 10),
                dh-python,
                libcap-ng-dev,
-               libselinux1-dev (>= 2.7),
-               libsepol1-dev (>= 2.7),
+               libselinux1-dev (>= 2.8),
+               libsepol1-dev (>= 2.8),
                python3-dev (>= 3.2),
-X-Python3-Version: >= 3.2
 Homepage: http://userspace.selinuxproject.org/
 
 Package: policycoreutils-python-utils
 Architecture: all
-Depends: policycoreutils (>= 2.7),
+Depends: policycoreutils (>= 2.8),
          python3-audit,
          python3-ipy,
-         python3-selinux (>= 2.7),
-         python3-semanage (>= 2.7),
+         python3-selinux (>= 2.8),
+         python3-semanage (>= 2.8),
          python3-sepolgen (= ${source:Version}),
          python3-sepolicy (= ${source:Version}),
          selinux-utils,
@@ -48,8 +47,9 @@
 
 Package: python3-sepolicy
 Architecture: all
-Depends: python3-selinux (>= 2.7),
+Depends: python3-selinux (>= 2.8),
          python3-sepolgen (= ${source:Version}),
+         python3-setools (>= 4.2.0),
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
@@ -59,12 +59,11 @@
 
 Package: policycoreutils-gui
 Architecture: all
-Priority: extra
 Depends: gir1.2-glib-2.0,
          gir1.2-gtk-3.0,
-         policycoreutils (>= 2.7),
-         policycoreutils-dbus (>= 2.7),
-         policycoreutils-dev (>= 2.7),
+         policycoreutils (>= 2.8),
+         policycoreutils-dbus (>= 2.8),
+         policycoreutils-dev (>= 2.8),
          policykit-1,
          python3-dbus,
          python3-gi,
@@ -72,7 +71,7 @@
 #         python-gnome2,
 #         python-gobject-2,
 #         python-gtk2,
-         python3-selinux (>= 2.7),
+         python3-selinux (>= 2.8),
          python3-sepolicy (= ${source:Version}),
          python3-slip-dbus,
          ${misc:Depends},
@@ -94,16 +93,18 @@
 Package: policycoreutils-dev
 Architecture: linux-any
 Section: devel
-Depends: policycoreutils (>= 2.7),
-         python3-selinux (>= 2.7),
+Depends: binutils,
+         policycoreutils (>= 2.8),
+         python3-selinux (>= 2.8),
          python3-sepolgen (= ${source:Version}),
          python3-sepolicy (= ${source:Version}),
-         semodule-utils (>= 2.7),
+         semodule-utils (>= 2.8),
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
 Breaks: policycoreutils (<< 2.4)
 Replaces: policycoreutils (<< 2.4)
+Built-Using: ${Built-Using}
 Description: SELinux core policy utilities (development utilities)
  Security-enhanced Linux is a patch of the Linux® kernel and a number
  of utilities with enhanced security functionality designed to add
@@ -120,7 +121,6 @@
 
 Package: policycoreutils-sandbox
 Architecture: linux-any
-Priority: extra
 Depends: dbus (>= 1.8),
          gir1.2-gtk-3.0,
          libcap2-bin,
@@ -150,11 +150,11 @@
 
 Package: python3-sepolgen
 Architecture: all
-Depends: checkpolicy (>= 2.7),
+Depends: checkpolicy (>= 2.8),
          make,
-         python3-selinux (>= 2.7),
+         python3-selinux (>= 2.8),
          python3-setools (>= 4.1.1),
-         semodule-utils (>= 2.7),
+         semodule-utils (>= 2.8),
          ${misc:Depends},
          ${python3:Depends}
 Recommends: selinux-policy-dev

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,8 @@
 #  # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+BUILT_USING=$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W "libsepol1-dev")
 export PYTHON=python3
-export LIBSEPOLA=/usr/lib/${DEB_HOST_MULTIARCH}/libsepol.a
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
@@ -28,5 +27,8 @@
 	dh_auto_clean -Dgui
 	dh_auto_clean -Dsandbox
 
-override_dh_install:
-	dh_install --list-missing
+override_dh_missing:
+	dh_missing --list-missing
+
+override_dh_gencontrol:
+	dh_gencontrol -- -VBuilt-Using="$(BUILT_USING)"

## selinux-python 2.9

=== debian/changelog ===
selinux-python (2.9-2) unstable; urgency=medium

  * Upload to unstable

 -- Laurent Bigonville <bigon@debian.org>  Mon, 08 Jul 2019 15:05:22 +0200

selinux-python (2.9-1) experimental; urgency=medium

  * New upstream release
    - debian/control: Bump {build-}dependencies to match the new release
  * debian/watch: Adjust the URL's
  * debian/control: Bump Standards-Version to 4.3.0 (no further changes)
  * d/p/python3-shebang.patch, d/p/setools-4.2.0.patch: Dropped, applied
    upstream
  * debian/patches/0023-sepolicy-help-path.patch: Refreshed
  * debian/rules: Disable the tests, they requires sepolgen python module to
    be installed and SELinux in enforcing mode
  * Install manpages in Russian

 -- Laurent Bigonville <bigon@debian.org>  Sat, 23 Mar 2019 17:10:34 +0100

=== debian/control ===
--- 
+++ 
@@ -6,22 +6,22 @@
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>,
            Russell Coker <russell@coker.com.au>
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Build-Depends: debhelper (>= 10),
                dh-python,
                libcap-ng-dev,
-               libselinux1-dev (>= 2.8),
-               libsepol1-dev (>= 2.8),
+               libselinux1-dev (>= 2.9),
+               libsepol1-dev (>= 2.9),
                python3-dev (>= 3.2),
 Homepage: http://userspace.selinuxproject.org/
 
 Package: policycoreutils-python-utils
 Architecture: all
-Depends: policycoreutils (>= 2.8),
+Depends: policycoreutils (>= 2.9),
          python3-audit,
          python3-ipy,
-         python3-selinux (>= 2.8),
-         python3-semanage (>= 2.8),
+         python3-selinux (>= 2.9),
+         python3-semanage (>= 2.9),
          python3-sepolgen (= ${source:Version}),
          python3-sepolicy (= ${source:Version}),
          selinux-utils,
@@ -47,9 +47,9 @@
 
 Package: python3-sepolicy
 Architecture: all
-Depends: python3-selinux (>= 2.8),
+Depends: python3-selinux (>= 2.9),
          python3-sepolgen (= ${source:Version}),
-         python3-setools (>= 4.2.0),
+         python3-setools (>= 4.2.1),
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
@@ -61,9 +61,9 @@
 Architecture: all
 Depends: gir1.2-glib-2.0,
          gir1.2-gtk-3.0,
-         policycoreutils (>= 2.8),
-         policycoreutils-dbus (>= 2.8),
-         policycoreutils-dev (>= 2.8),
+         policycoreutils (>= 2.9),
+         policycoreutils-dbus (>= 2.9),
+         policycoreutils-dev (>= 2.9),
          policykit-1,
          python3-dbus,
          python3-gi,
@@ -71,7 +71,7 @@
 #         python-gnome2,
 #         python-gobject-2,
 #         python-gtk2,
-         python3-selinux (>= 2.8),
+         python3-selinux (>= 2.9),
          python3-sepolicy (= ${source:Version}),
          python3-slip-dbus,
          ${misc:Depends},
@@ -94,11 +94,11 @@
 Architecture: linux-any
 Section: devel
 Depends: binutils,
-         policycoreutils (>= 2.8),
-         python3-selinux (>= 2.8),
+         policycoreutils (>= 2.9),
+         python3-selinux (>= 2.9),
          python3-sepolgen (= ${source:Version}),
          python3-sepolicy (= ${source:Version}),
-         semodule-utils (>= 2.8),
+         semodule-utils (>= 2.9),
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
@@ -150,11 +150,11 @@
 
 Package: python3-sepolgen
 Architecture: all
-Depends: checkpolicy (>= 2.8),
+Depends: checkpolicy (>= 2.9),
          make,
-         python3-selinux (>= 2.8),
-         python3-setools (>= 4.1.1),
-         semodule-utils (>= 2.8),
+         python3-selinux (>= 2.9),
+         python3-setools (>= 4.2.1),
+         semodule-utils (>= 2.9),
          ${misc:Depends},
          ${python3:Depends}
 Recommends: selinux-policy-dev

=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,8 @@
 	dh_auto_install -Dgui --destdir=debian/tmp
 	dh_auto_install -Dsandbox --destdir=debian/tmp
 
+override_dh_auto_test:
+
 override_dh_auto_clean:
 	dh_auto_clean
 	dh_auto_clean -Dgui

## selinux-python 3.0

=== sepolgen/src/share/Makefile ===
SHAREDIR ?= /var/lib/sepolgen

all:

install: all
	-mkdir -p $(DESTDIR)$(SHAREDIR)
	install -m 644 perm_map $(DESTDIR)$(SHAREDIR)

clean:
	rm -f *~

=== debian/changelog ===
selinux-python (3.0-1build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:39:41 +0000

selinux-python (3.0-1) unstable; urgency=medium

  * New upstream release
    - debian/control: Bump {build-}dependencies to match the new release
    - debian/policycoreutils-gui.install: sepolicy.desktop is now installed in
      /usr/share/applications/
  * debian/control: Bump Standards-Version to 4.4.1 (no further changes)
  * Bump debhelper compatibility to 12, stop overriding dh_missing

 -- Laurent Bigonville <bigon@debian.org>  Fri, 13 Dec 2019 10:08:45 +0100

=== debian/control ===
--- 
+++ 
@@ -6,22 +6,22 @@
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>,
            Russell Coker <russell@coker.com.au>
-Standards-Version: 4.3.0
-Build-Depends: debhelper (>= 10),
+Standards-Version: 4.4.1
+Build-Depends: debhelper (>= 12),
                dh-python,
                libcap-ng-dev,
-               libselinux1-dev (>= 2.9),
-               libsepol1-dev (>= 2.9),
+               libselinux1-dev (>= 3.0),
+               libsepol1-dev (>= 3.0),
                python3-dev (>= 3.2),
 Homepage: http://userspace.selinuxproject.org/
 
 Package: policycoreutils-python-utils
 Architecture: all
-Depends: policycoreutils (>= 2.9),
+Depends: policycoreutils (>= 3.0),
          python3-audit,
          python3-ipy,
-         python3-selinux (>= 2.9),
-         python3-semanage (>= 2.9),
+         python3-selinux (>= 3.0),
+         python3-semanage (>= 3.0),
          python3-sepolgen (= ${source:Version}),
          python3-sepolicy (= ${source:Version}),
          selinux-utils,
@@ -47,7 +47,7 @@
 
 Package: python3-sepolicy
 Architecture: all
-Depends: python3-selinux (>= 2.9),
+Depends: python3-selinux (>= 3.0),
          python3-sepolgen (= ${source:Version}),
          python3-setools (>= 4.2.1),
          ${misc:Depends},
@@ -61,9 +61,9 @@
 Architecture: all
 Depends: gir1.2-glib-2.0,
          gir1.2-gtk-3.0,
-         policycoreutils (>= 2.9),
-         policycoreutils-dbus (>= 2.9),
-         policycoreutils-dev (>= 2.9),
+         policycoreutils (>= 3.0),
+         policycoreutils-dbus (>= 3.0),
+         policycoreutils-dev (>= 3.0),
          policykit-1,
          python3-dbus,
          python3-gi,
@@ -71,7 +71,7 @@
 #         python-gnome2,
 #         python-gobject-2,
 #         python-gtk2,
-         python3-selinux (>= 2.9),
+         python3-selinux (>= 3.0),
          python3-sepolicy (= ${source:Version}),
          python3-slip-dbus,
          ${misc:Depends},
@@ -94,11 +94,11 @@
 Architecture: linux-any
 Section: devel
 Depends: binutils,
-         policycoreutils (>= 2.9),
-         python3-selinux (>= 2.9),
+         policycoreutils (>= 3.0),
+         python3-selinux (>= 3.0),
          python3-sepolgen (= ${source:Version}),
          python3-sepolicy (= ${source:Version}),
-         semodule-utils (>= 2.9),
+         semodule-utils (>= 3.0),
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
@@ -150,11 +150,11 @@
 
 Package: python3-sepolgen
 Architecture: all
-Depends: checkpolicy (>= 2.9),
+Depends: checkpolicy (>= 3.0),
          make,
-         python3-selinux (>= 2.9),
+         python3-selinux (>= 3.0),
          python3-setools (>= 4.2.1),
-         semodule-utils (>= 2.9),
+         semodule-utils (>= 3.0),
          ${misc:Depends},
          ${python3:Depends}
 Recommends: selinux-policy-dev

=== debian/watch ===
version=4

opts="uversionmangle=s/-(rc)/~$1/" \
https://github.com/SELinuxProject/selinux/wiki/Releases (?:.*)/releases/download/(?:\d*)/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
opts="uversionmangle=s/-(rc)/~$1/,component=sandbox" \
https://github.com/SELinuxProject/selinux/wiki/Releases (?:.*)/releases/download/(?:\d*)/selinux-sandbox@ANY_VERSION@@ARCHIVE_EXT@
opts="uversionmangle=s/-(rc)/~$1/,component=gui" \
https://github.com/SELinuxProject/selinux/wiki/Releases (?:.*)/releases/download/(?:\d*)/selinux-gui@ANY_VERSION@@ARCHIVE_EXT@

## selinux-python 3.1

=== debian/changelog ===
selinux-python (3.1-1) unstable; urgency=medium

  * New upstream release
    - debian/control: Bump {build-}dependencies to match the new release
    - debian/control: Drop python3-ipy dependency, it's not used anymore
  * debian/control: Set Rules-Requires-Root: no
  * debian/control: Bump Standards-Version to 4.5.0 (no further changes)
  * Add debian/gitlab-ci.yml file

 -- Laurent Bigonville <bigon@debian.org>  Thu, 16 Jul 2020 11:38:03 +0200

=== debian/control ===
--- 
+++ 
@@ -6,22 +6,25 @@
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>,
            Russell Coker <russell@coker.com.au>
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Build-Depends: debhelper (>= 12),
                dh-python,
                libcap-ng-dev,
-               libselinux1-dev (>= 3.0),
-               libsepol1-dev (>= 3.0),
+               libselinux1-dev (>= 3.1),
+               libsepol1-dev (>= 3.1),
                python3-dev (>= 3.2),
 Homepage: http://userspace.selinuxproject.org/
+# The seunshare executable is not installed SETUID in the package,
+# this is done in the postinst script if the capabilities cannot be set.
+# There is no need to have (fake)root during the build.
+Rules-Requires-Root: no
 
 Package: policycoreutils-python-utils
 Architecture: all
-Depends: policycoreutils (>= 3.0),
+Depends: policycoreutils (>= 3.1),
          python3-audit,
-         python3-ipy,
-         python3-selinux (>= 3.0),
-         python3-semanage (>= 3.0),
+         python3-selinux (>= 3.1),
+         python3-semanage (>= 3.1),
          python3-sepolgen (= ${source:Version}),
          python3-sepolicy (= ${source:Version}),
          selinux-utils,
@@ -47,7 +50,7 @@
 
 Package: python3-sepolicy
 Architecture: all
-Depends: python3-selinux (>= 3.0),
+Depends: python3-selinux (>= 3.1),
          python3-sepolgen (= ${source:Version}),
          python3-setools (>= 4.2.1),
          ${misc:Depends},
@@ -61,9 +64,9 @@
 Architecture: all
 Depends: gir1.2-glib-2.0,
          gir1.2-gtk-3.0,
-         policycoreutils (>= 3.0),
-         policycoreutils-dbus (>= 3.0),
-         policycoreutils-dev (>= 3.0),
+         policycoreutils (>= 3.1),
+         policycoreutils-dbus (>= 3.1),
+         policycoreutils-dev (>= 3.1),
          policykit-1,
          python3-dbus,
          python3-gi,
@@ -71,7 +74,7 @@
 #         python-gnome2,
 #         python-gobject-2,
 #         python-gtk2,
-         python3-selinux (>= 3.0),
+         python3-selinux (>= 3.1),
          python3-sepolicy (= ${source:Version}),
          python3-slip-dbus,
          ${misc:Depends},
@@ -94,11 +97,11 @@
 Architecture: linux-any
 Section: devel
 Depends: binutils,
-         policycoreutils (>= 3.0),
-         python3-selinux (>= 3.0),
+         policycoreutils (>= 3.1),
+         python3-selinux (>= 3.1),
          python3-sepolgen (= ${source:Version}),
          python3-sepolicy (= ${source:Version}),
-         semodule-utils (>= 3.0),
+         semodule-utils (>= 3.1),
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
@@ -150,11 +153,11 @@
 
 Package: python3-sepolgen
 Architecture: all
-Depends: checkpolicy (>= 3.0),
+Depends: checkpolicy (>= 3.1),
          make,
-         python3-selinux (>= 3.0),
+         python3-selinux (>= 3.1),
          python3-setools (>= 4.2.1),
-         semodule-utils (>= 3.0),
+         semodule-utils (>= 3.1),
          ${misc:Depends},
          ${python3:Depends}
 Recommends: selinux-policy-dev

=== debian/rules ===
--- 
+++ 
@@ -29,8 +29,5 @@
 	dh_auto_clean -Dgui
 	dh_auto_clean -Dsandbox
 
-override_dh_missing:
-	dh_missing --list-missing
-
 override_dh_gencontrol:
 	dh_gencontrol -- -VBuilt-Using="$(BUILT_USING)"
